: Draw cards from deck

API: deckofcardsapi.com:deck-of-cards
Endpoint: /deck/{deck_id}/draw/
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 252ms

Description

Returns the drawn cards with their code, value, suit, and image URLs. Use this to deal cards to players during a game. The remaining card count in the deck is returned.

From spec: Draws one or more cards from the specified deck. Use 'new' as deck_id to create and draw from a new deck.

Usage Tips

- Optional query parameter `count` specifies how many cards to draw (default: 1) - Returns 404 if deck_id doesn't exist - Cannot draw more cards than remaining in the deck

Parameters (2)

count (integer, query, optional, default: 1)

Number of cards to draw (default: 1)

Constraints: {'minimum': 1}

deck_id (string, path, required)

The deck ID or 'new' to create a temporary deck

Examples (1)

Draw 2 cards from a deck probe-gate

Demonstrates drawing multiple cards from a deck using the count parameter

curl 'https://deckofcardsapi.com/api/deck/wa025949x0ez/draw/?count=2'
import requests

resp = requests.get(
    "https://deckofcardsapi.com/api/deck/wa025949x0ez/draw/",
    params={
        'count': '2',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("deckofcardsapi")
result = api.fetch("deck/{deck_id}/draw/", count=2)

for item in result:
    print(item)
const resp = await fetch("https://deckofcardsapi.com/api/deck/wa025949x0ez/draw/?count=2");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:15:52.391062 200 252ms
2026-04-15 00:31:27.358352 200 705ms
2026-04-14 01:01:21.709143 200 762ms
2026-04-12 14:55:59.791663 200 546ms
2026-04-10 02:24:57.345603 200 187ms
2026-04-09 03:23:09.179098 200 199ms